import { BindingEngine } from "aurelia-framework";
export declare class UISidebar {
    protected element: Element;
    private bindingEngine;
    position: "start" | "end";
    width: string;
    maxWidth: string;
    minWidth: string;
    titleBg: string;
    titleColor: string;
    titleWeight: string;
    align: "top" | "bottom";
    headTrigger: "peek" | "toggle";
    collapsed: boolean;
    label: string;
    labels: Array<LabelMenu>;
    currentLabelSelected: LabelMenu;
    protected peek: boolean;
    protected resizeable: boolean;
    protected collapsible: boolean;
    protected closeOnClick: boolean;
    private readonly obClick;
    private bodyEl;
    private startX;
    private isResizing;
    private disposable;
    constructor(element: Element, bindingEngine: BindingEngine);
    bind(): void;
    labelChanged(newValue: any, oldValue: any): void;
    convertLabel(): void;
    currentLabelSelectedChanged(newValue: any, oldValue: any): void;
    getLastLabel(): void;
    protected detached(): void;
    get toggleIcon(): string;
    protected startResize($event: MouseEvent): void;
    protected resize($event: MouseEvent): void;
    protected stopResize(): void;
    private doResize;
    private endResize;
    selected(labelMenu: LabelMenu): void;
}
export declare class LabelMenu {
    name: string;
    isSelected: boolean;
    uniqueIdentifiant: string;
}
